POST/api/v2/banking/users/{userId}/budgets

POST /api/v2/banking/users/{userId}/budgets

Authentication

Send your API key in the x-api-key header on every request.

Parameters

Request parameters
FieldTypeRequiredDescription
userId (path)integer (int32)Yes

Request body

application/json

Request body fields
FieldTypeRequiredDescription
NamestringYesBudget display name.
Currenciesarray of stringYesISO 4217 currency codes enabled for the budget, for example EUR or GBP.
TypestringNoOptional requested budget type. Equals Money personal accounts are created as individual budgets and business accounts as shared budgets.
Featuresarray of stringNoOptional budget features. Supported value: peopleCards.
AllowCurrencyAlignmentbooleanNo

Responses

201 — Created

Response 201 fields
FieldTypeRequiredDescription
BudgetIdstringNo
AccountIdstringNo
NamestringNo
TypestringNo
ParentIdstringNo
StatusstringNo
AllowCurrencyAlignmentbooleanNo
Currenciesarray of stringNo
Balancesarray of UserBudgetBalanceNo
CreatedAtstring (date-time)No
UpdatedAtstring (date-time)No

400 — Bad Request

Response 400 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

401 — Unauthorized

Response 401 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

404 — Not Found

Response 404 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

500 — Internal Server Error

Response 500 fields
FieldTypeRequiredDescription
MessagestringNo
CodestringNo
StatusunknownNo
ValidationErrorsobjectNo
DetailsstringNo

Example request

curl -X POST "https://{base_url}/api/v2/banking/users/{userId}/budgets" \
  -H "x-api-key: YOUR_API_KEY" \
  -H "Content-Type: application/json" \
  -d '{"Name":"…","Currencies":"…"}'

This page is generated from the live OpenAPI specification and always matches the current API.